Set active policy version
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/activate \
--header 'X-API-Key: <api-key>'const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/activate"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"versionId": "<string>",
"version": 123
}{
"message": "Invalid request"
}{
"message": "Unauthorized"
}{
"message": "Resource not found"
}Policies
Set active policy version | Comp AI API
Set active policy version in Comp AI. Create, version, publish, export, map, and improve compliance policies with AI-assisted drafting and approval workflows.
POST
/
v1
/
policies
/
{id}
/
versions
/
{versionId}
/
activate
Set active policy version
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/activate \
--header 'X-API-Key: <api-key>'const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/versions/{versionId}/activate"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"versionId": "<string>",
"version": 123
}{
"message": "Invalid request"
}{
"message": "Unauthorized"
}{
"message": "Resource not found"
}Authorizations
API key for authentication
Headers
Organization ID (required for session auth, optional for API key auth)
Path Parameters
Policy ID
Example:
"pol_abc123def456"
Policy version ID
Example:
"pv_abc123def456"
Was this page helpful?

